﻿param (
    [Parameter(Mandatory=$true)]
    [string]$atriaPkgPath,
    [Parameter(Mandatory=$true)]
    [string]$tempDLPath
)

# Function to clean up files and directories
function Clean-Up {
    param (
        [string]$path
    )
    
    if (Test-Path -Path $path) {
        Write-Host -ForegroundColor Yellow "Cleaning up files in $path"
        
        # Remove all files in the directory
        Get-ChildItem -Path $path -File | Remove-Item -Force
        
        # Optionally, remove all subdirectories and their contents
        Get-ChildItem -Path $path -Directory | Remove-Item -Recurse -Force
        
        Write-Host -ForegroundColor Green "Clean up completed for $path"
    } else {
        Write-Host -ForegroundColor Red "Path $path does not exist."
    }
}

# Clean up the specified directories
Clean-Up -path $atriaPkgPath
Clean-Up -path $tempDLPath
